Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002539Zandronum[All Projects] Bugpublic2015-12-04 02:512016-12-18 21:15
ReporterBeed28 
Assigned ToTorr Samaho 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindows 10OS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002539: Some weapon projectiles not making decals in Contra Doom
DescriptionIn Contra Doom, some of the player's weapons aren't making decals when their projectiles hit the wall, even though decals are defined in DECALDEF for those projectiles. When running the mod in Zandronum, the default gun, the Spread Shot, Homing Missile, and Laser weapons don't make decals while the Crusher Missile, the Flamethrower, and using bombs do.

This problem isn't present when playing on (G)ZDoom, all weapons correctly make decals there.
Steps To Reproduce* Download Contra Doom b06 (http://zandronum.com/forum/showthread.php?tid=5955)
* Load contra_doom_b06.pk3 in the Zandronum 3.0 beta.
* Make sure decals are enabled (cl_maxdecals 1024).
* Shoot your weapons at a wall, preferably with the default gun, the Spread Shot, the Homing Missile, or the Laser. Notice how they're not making decals.
* Kill some enemies. Notice how they still have blood splatter on the walls.
* Get the Flamethrower or Crusher Missile and shoot them at a wall. Notice how they make decals.
Attached Files? file icon bouncingdecaltest.wad [^] (4,785 bytes) 2016-11-21 10:30

- Relationships

-  Notes
User avatar (0013986)
Dusk (developer)
2015-12-13 14:51

GZDoom 1.8.6 also exhibits the problem while latest ZDoom does not. So I guess there's something to backport here.
User avatar (0016234)
Empyre (reporter)
2016-11-21 06:06

I have noticed the same problem in my opweapons. The 2 projectiles that bounce don't leave their decals that they have defined in DECALDEF, but they work correctly in ZDoom. It is the primary fire of the SSG and rocket launcher that are affected.
Soon, I'll be uploading opweapons_v9.pk3, which adds the DECALDEF lump, and I could then post a link here, if you like. Or, I could make a wad with only the custom SSG and a test map.
User avatar (0016238)
Torr Samaho (administrator)
2016-11-21 07:12
edited on: 2016-11-21 07:13

Quote from Empyre

Or, I could make a wad with only the custom SSG and a test map.

That would be great.

User avatar (0016243)
Empyre (reporter)
2016-11-21 10:36

OK, bouncingdecaltest.wad uploaded. For me, it does not work in Zandronum 2.1.2, but it does work in ZDoom 2.8.0. I hope somebody else can do more thorough testing than I can.
User avatar (0016245)
Edward-san (developer)
2016-11-21 10:43
edited on: 2016-11-21 11:08

I can't reproduce in latest 3.0 beta with the example wad. How about you?

[edit] I can see that with Contra Doom some weapons don't decal, but this happens also with GZDoom 1.8.6. Latest zdoom doesn't have this problem, so I guess there's a backport we must do.

User avatar (0016247)
Edward-san (developer)
2016-11-21 13:06
edited on: 2016-11-21 13:43

Backportinghttps://bitbucket.org/Torr_Samaho/zandronum-zdoom-sync/commits/45ef156780fbe6caf641af550acbaed78fd406a1 [^] fixes the problem offline.

[edit] It works also online, I used the wrong binary to test.

[edit2] If it's backported, thenhttps://bitbucket.org/Torr_Samaho/zandronum-zdoom-sync/commits/800b0a484820083ec3d02e1115e2d16db5787ceb [^] must be backported because of side effect.

User avatar (0016262)
Torr Samaho (administrator)
2016-11-21 19:22

I backported the changesets. Since the first required manual adjustments I pushed them to the sandbox, so that this can be tested before it's included in the main repo.
User avatar (0016279)
WaTaKiD (updater)
2016-11-21 22:28

this 3.0 build contains the above commits: https://www.dropbox.com/s/vlv4cjxpuphjzj7/zandronum-3.0-r141125-1549-e1681d6-windows.zip?dl=0 [^]
User avatar (0016316)
Torr Samaho (administrator)
2016-11-25 06:59

Did anybody have a chance to test this yet?
User avatar (0016515)
Ru5tK1ng (updater)
2016-12-17 03:13
edited on: 2016-12-18 21:15

I tested and working with 3.0 perfectly online/offline.


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-12-04 02:51 Beed28 New Issue
2015-12-13 14:51 Dusk Note Added: 0013986
2015-12-13 14:51 Dusk Status new => confirmed
2016-11-21 06:06 Empyre Note Added: 0016234
2016-11-21 07:12 Torr Samaho Note Added: 0016238
2016-11-21 07:12 Torr Samaho Assigned To => Torr Samaho
2016-11-21 07:12 Torr Samaho Status confirmed => feedback
2016-11-21 07:13 Torr Samaho Note Edited: 0016238 View Revisions
2016-11-21 10:30 Empyre File Added: bouncingdecaltest.wad
2016-11-21 10:36 Empyre Note Added: 0016243
2016-11-21 10:43 Edward-san Note Added: 0016245
2016-11-21 11:08 Edward-san Note Edited: 0016245 View Revisions
2016-11-21 13:06 Edward-san Note Added: 0016247
2016-11-21 13:06 Edward-san Status feedback => assigned
2016-11-21 13:36 Edward-san Note Edited: 0016247 View Revisions
2016-11-21 13:43 Edward-san Note Edited: 0016247 View Revisions
2016-11-21 19:22 Torr Samaho Note Added: 0016262
2016-11-21 19:23 Torr Samaho Status assigned => needs testing
2016-11-21 19:23 Torr Samaho Target Version => 3.0
2016-11-21 22:28 WaTaKiD Note Added: 0016279
2016-11-25 06:59 Torr Samaho Note Added: 0016316
2016-12-17 03:13 Ru5tK1ng Note Added: 0016515
2016-12-18 21:15 Ru5tK1ng Note Edited: 0016515 View Revisions
2016-12-18 21:15 Ru5tK1ng Status needs testing => resolved
2016-12-18 21:15 Ru5tK1ng Resolution open => fixed
2016-12-18 21:15 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker